Publishing details

Changelog

nodejs (8.11.4~dfsg-0ubuntu1) cosmic; urgency=medium

  * New upstream release:
    - CVE-2018-0732 (OpenSSL)
    - CVE-2018-12115 (Node.js)
    - CVE-2018-7167
    - CVE-2018-7161

  * Drop patches, part of thew new upstream release:
    - regen-test-certs.patch
    - CVE-2018-7161.patch

  * Use openssl1.0 client binary in tests
    - resurrect fix_sslv3_test.patch
    - use old openssl error string fix-openssl1.0-error-message.patch
    - revert s_client_tls12.patch, as not needed with old ssl
    - reenable-more-tests.patch - reenable openssl1.0 and zlib tests, they
      should work

 -- Dimitri John Ledkov <email address hidden>  Thu, 04 Oct 2018 03:20:13 +0100

Available diffs

Builds

Built packages

Package files